Skip to main content
GET
Retrieve article

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

articleId
string
required

The unique identifier of the article to retrieve.

Query Parameters

includeBody
boolean
default:true

A boolean indicating whether to include the article’s HTML content (the body field) in the response. Defaults to true.

includeTranslations
boolean
default:true

A boolean indicating whether to include a summary of the article’s translations (id, title, and state per language) in the response. Defaults to true.

Response

successful operation

accessGroupIds
string[]
required
accessType
enum<string>
required
Available options:
ACCESS_GROUP_MEMBERSHIP,
PUBLIC,
SSO_LOGIN
archivedInDashboard
boolean
required
createdAt
string<date-time>
required
id
string
required
knowledgeBaseId
string
required
language
string
required
path
string
required
state
enum<string>
required
Available options:
DRAFT,
PUBLISHED
tagIds
string[]
required
title
string
required
updatedAt
string<date-time>
required
url
string
required
body
string
categoryId
string
createdByUserId
string
initialPublishedAt
string<date-time>
metaDescription
string
position
integer<int32>
publishedAt
string<date-time>
subcategoryId
string
subtitle
string
translationOfId
string
translations
object
updatedByUserId
string
Last modified on September 21, 2026